cryptol-3.0.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe
Language | Haskell2010

Cryptol.Backend.FFI.Error

Description

Errors from dynamic loading of shared libraries for FFI.

# Documentation

data FFILoadError Source #

Constructors

CantLoadFFISrc |

Fields

- FilePath

  Path to cryptol module

- String

  Error message

CantLoadFFIImpl |

Fields

- String

  Function name

- String

  Error message

FFIDuplicates [Name] |
FFIInFunctor Name |

#### Instances

Instances details

Generic FFILoadError Source # |
Instance details Defined in Cryptol.Backend.FFI.Error Associated Types type Rep FFILoadError :: Type -> Type Source # Methods from :: FFILoadError -> Rep FFILoadError x Source # to :: Rep FFILoadError x -> FFILoadError Source #
Show FFILoadError Source # |
Instance details Defined in Cryptol.Backend.FFI.Error Methods showsPrec :: Int -> FFILoadError -> ShowS Source # show :: FFILoadError -> String Source # showList :: [FFILoadError] -> ShowS Source #
PP FFILoadError Source # |
Instance details Defined in Cryptol.Backend.FFI.Error Methods ppPrec :: Int -> FFILoadError -> Doc Source #
NFData FFILoadError Source # |
Instance details Defined in Cryptol.Backend.FFI.Error Methods rnf :: FFILoadError -> () Source #
type Rep FFILoadError Source # |

Instance details

Defined in Cryptol.Backend.FFI.Error

type Rep FFILoadError = D1 ('MetaData "FFILoadError" "Cryptol.Backend.FFI.Error" "cryptol-3.0.0-DBVDUAjB1JeD0WzkHH4ckn" 'False) ((C1 ('MetaCons "CantLoadFFISrc" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 FilePath) :*: S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 String)) :+: C1 ('MetaCons "CantLoadFFIImpl" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 String) :*: S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 String))) :+: (C1 ('MetaCons "FFIDuplicates" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Name])) :+: C1 ('MetaCons "FFIInFunctor" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Name))))